﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Infragistics.Windows.Reporting;
using Infragistics.Windows.DataPresenter;

namespace PageContent
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new ViewModel();
        }

        private void XamDataGrid_Loaded(object sender, RoutedEventArgs e)
        {
            XamDataGrid grid = (XamDataGrid) sender;
            Report rpt = new Report();
            rpt.PageContentTemplate = (DataTemplate)this.TryFindResource("rptTemplate");
            EmbeddedVisualReportSection rs = new EmbeddedVisualReportSection(grid);
            rpt.Sections.Add(rs);
            myRptPreview.GeneratePreview(rpt,false,false);
        }
    }
    public class ViewModel
    {
        public ObservableCollection<GridData> DataSource { get; set; }

        public ViewModel()
        {
            DataSource = new ObservableCollection<GridData>();
            for (int i = 0; i < 100; i++)
            {
                DataSource.Add(new GridData()
                {
                    ID =i, Name = "Name " + i.ToString(),RecDesc="Record " + i.ToString() 

                });
            }
        }
    }
}
